Skip to main content

List the access policies in the scope of a role

GET 

/api/v1/RolesRole/:roleId/SearchPolicies

Returns the access policies that are in the scope of a role, as a page of results that you can filter and sort by name or description.

Permission required: Administrator role.

Values for approvalTypeRequired: 0 = Deny, 1 = Allow, 2 = Workflow, 3 = External.

Values for policyType: 0 = Resource, 1 = Credential.

Request​

Responses​

Returns a page of results in data, with the total number of matching rows in recordsTotal.